# MISC

```
bool FILE_EXISTS(string path)
bool DIR_EXISTS(string path)
void MAKE_DIR(string path)
string GET_APPDATA_PATH(string dir, string file)
string FROM_CLIPBOARD()
void TO_CLIPBOARD(string str)
int TIME()
int TIME_MS()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/misc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
